package com.example.task_mon

import androidx.recyclerview.widget.RecyclerView

class Contact(val name: String, val isOnline: Boolean) {
//    lateinit var view : RecyclerView
//    val names_of_countries : List<String> = mutableListOf( "Afghanistan",
//        "Albania",
//        "Algeria",
//        "American Samoa",
//        "Andorra",
//        "Angola",
//        "Anguilla",
//        "Antarctica",
//        "Antigua and Barbuda",
//        "Argentina",
//        "Armenia",
//        "Aruba",
//        "Australia",
//        "Austria",
//        "Azerbaijan",
//        "Bahamas",
//        "Bahrain",
//        "Bangladesh",
//        "Barbados",
//        "Belarus",
//        "Belgium",
//        "Belize",
//        "Benin",
//        "Bermuda",
//        "Bhutan",
//        "Bolivia",
//        "Bosnia and Herzegovina",
//        "Botswana",
//        "Brazil",
//        "British Indian Ocean Territory",
//        "British Virgin",
//        "Brunei",
//        "Bulgaria",
//        "Burkina Faso",
//        "Burundi",
//        "Cambodia",
//        "Cameroon ",
//        "Canada",
//        "Cape Verde",
//        "Cayman Islands",
//        "Central African Republic",
//        "Chad",
//        "Chile",
//        "China",
//        "Christmas Island",
//        "Cocos Islands",
//        "Colombia",
//        "Comoros",
//        "Cook Islands",
//        "Costa Rica",
//        "Croatia",
//        "Cuba ",
//        "Curacao",
//        "Cyprus ",
//        "Czech Republic",
//        "Democratic Republic of the Congo",
//        "Denmark ",
//        "Djibouti ",
//        "Dominica ",
//        "Dominican Republic",
//        "East Timor",
//        "Ecuador",
//        "Egypt ",
//        "El Salvador",
//        "Equatorial Guinea",
//        "Eritrea ",
//        "Estonia ",
//        "Ethiopia ",
//        "Falkland Islands ",
//        "Faroe Islands ",
//        "Fiji ",
//        "Finland ",
//        "France",
//        "French Polynesia",
//        "Gabon ",
//        "Gambia",
//        "Georgia ",
//        "Germany ",
//        "Ghana ",
//        "Gibraltar",
//        "Greece ",
//        "Greenland",
//        "Grenada ",
//        "Guam ",
//        "Guatemala",
//        "Guernsey ",
//        "Guinea ",
//        "Guinea-Bissau",
//        "Guyana",
//        "Haiti ",
//        "Honduras ",
//        "Hong Kong ",
//        "Hungary ",
//        "Iceland ",
//        "India ",
//        "Indonesia ",
//        "Iran ",
//        "Iraq ",
//        "Ireland ",
//        "Isle of Man ",
//        "Israel",
//        "Italy ",
//        "Ivory Coast",
//        "Jamaica ",
//        "Japan ",
//        "Jersey ",
//        "Jordan ",
//        "Kazakhstan",
//        "Kenya ",
//        "Kiribati",
//        "Kosovo",
//        "Kuwait ",
//        "Kyrgyzstan",
//        "Laos ",
//        "Latvia",
//        "Lebanon ",
//        "Lesotho ",
//        "Liberia ",
//        "Libya ",
//        "Liechtenstein",
//        "Lithuania",
//        "Luxembourg",
//        "Macau ",
//        "Macedonia",
//        "Madagascar",
//        "Malawi",
//        "Malaysia",
//        "Maldives ",
//        "Mali ",
//        "Malta ",
//        "Marshall Islands ",
//        "Mauritania",
//        "Mauritius ",
//        "Mayotte ",
//        "Mexico ",
//        "Micronesia",
//        "Moldova ",
//        "Monaco ",
//        "Mongolia",
//        "Montenegro",
//        "Montserrat",
//        "Morocco ",
//        "Mozambique",
//        "Myanmar ",
//        "Namibia ",
//        "Nauru ",
//        "Nepal ",
//        "Netherlands",
//        "Netherlands Antilles",
//        "New Caledonia ",
//        "New Zealand ",
//        "Nicaragua ",
//        "Niger ",
//        "Nigeria",
//        "Niue ",
//        "North Korea",
//        "Northern Mariana Islands",
//        "Norway ",
//        "Oman ",
//        "Pakistan",
//        "Palau ",
//        "Palestine",
//        "Panama ",
//        "Papua New Guinea",
//        "Paraguay ",
//        "Peru ",
//        "Philippines ",
//        "Pitcairn ",
//        "Poland ",
//        "Portugal",
//        "Puerto Rico",
//        "Qatar ",
//        "Republic of the Congo",
//        "Reunion ",
//        "Romania ",
//        "Russia",
//        "Rwanda ",
//        "Saint Barthelemy",
//        "Saint Helena",
//        "Saint Kitts and Nevis",
//        "Saint Lucia",
//        "Saint Martin",
//        "Saint Pierre and Miquelon",
//        "Saint Vincent and the Grenadines",
//        "Samoa ",
//        "San Marino",
//        "Sao Tome and Principe",
//        "Saudi Arabia ",
//        "Senegal ",
//        "Serbia ",
//        "Seychelles",
//        "Sierra Leone",
//        "Singapore",
//        "Sint Maarten",
//        "Slovakia",
//        "Slovenia",
//        "Solomon Islands",
//        "Somalia ",
//        "South Africa",
//        "South Korea ",
//        "South Sudan ",
//        "Spain ",
//        "Sri Lanka",
//        "Sudan ",
//        "Suriname",
//        "Svalbard and Jan Mayen ",
//        "Swaziland ",
//        "Sweden ",
//        "Switzerland",
//        "Syria ",
//        "Taiwan",
//        "Tajikistan",
//        "Tanzania ",
//        "Thailand ",
//        "Togo ",
//        "Tokelau ",
//        "Tonga ",
//        "Trinidad and Tobago ",
//        "Tunisia ",
//        "Turkey ",
//        "Turkmenistan",
//        "Turks and Caicos Islands",
//        "Tuvalu ",
//        "U.S. Virgin Islands",
//        "Uganda ",
//        "Ukraine ",
//        "United Arab Emirates",
//        "United Kingdom ",
//        "United States ",
//        "Uruguay ",
//        "Uzbekistan ",
//        "Vanuatu ",
//        "Vatican ",
//        "Venezuela ",
//        "Vietnam ",
//        "Wallis and Futuna",
//        "Western Sahara",
//        "Yemen ",
//        "Zambia",
//        "Zimbabwe")
    companion object {
        private var lastContactId = 0
        fun createContactsList(numContacts: Int): ArrayList<Contact> {
            val contacts = ArrayList<Contact>()
            for (i in 1..numContacts) {
                contacts.add(Contact("Person " + ++lastContactId, i <= numContacts / 2))
            }
            return contacts
        }
    }
}